DecimalType (Snowpark Java API Reference 1.21.0)

Package com.snowflake.snowpark_java.types

## Class DecimalType

- java.lang.Object
- - com.snowflake.snowpark_java.types.DataType
  - - com.snowflake.snowpark_java.types.DecimalType

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DecimalType
      extends DataType

  Decimal data type. Mapped to NUMBER Snowflake date type.
  Since:
    0.9.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAX_PRECISION` |
    `static int` | `MAX_SCALE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` | Verifies if a DataType equals to this one.
    `int` | `getPrecision()` | Retrieves the precision of this decimal number.
    `int` | `getScale()` | Retrieves the scale of this decimal number.
    `int` | `hashCode()` | Calculates the hash code of this Decimal Type Object.
    `java.lang.String` | `toString()` | Generates a String value to represent this DecimalType.

    - ### Methods inherited from class com.snowflake.snowpark_java.types.DataType

      `typeName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_PRECISION

          public static final int MAX_PRECISION

      See Also:
        Constant Field Values

    - #### MAX_SCALE

          public static final int MAX_SCALE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPrecision

          public int getPrecision()

      Retrieves the precision of this decimal number.
      Returns:
        An int value representing the precision of this decimal number
      Since:
        0.9.0

    - #### getScale

          public int getScale()

      Retrieves the scale of this decimal number.
      Returns:
        An int value representing the scale of this decimal number
      Since:
        0.9.0

    - #### toString

          public java.lang.String toString()

      Generates a String value to represent this DecimalType.
      Overrides:
        `toString` in class `DataType`
      Returns:
        A String value in the format of "Decimal('precision', 'scale')"
      Since:
        0.9.0

    - #### equals

          public boolean equals​(java.lang.Object other)

      Verifies if a DataType equals to this one.
      Overrides:
        `equals` in class `DataType`
      Parameters:
        `other` - A DataType object
      Returns:
        true if these data types are equivalent, false for otherwise.
      Since:
        0.9.0

    - #### hashCode

          public int hashCode()

      Calculates the hash code of this Decimal Type Object.
      Overrides:
        `hashCode` in class `DataType`
      Returns:
        An int number representing the hash code value
      Since:
        0.9.0